#include "yitran_rs.hpp"
#include <iostream>
//-------------------------------------------------------------------------------------------------
int yitran_rs_app() {

	try {

		yitran_host::yitran_rs rs(false);
		if ( !rs.initialize_and_login(5) ) {
			printf("FAIL: RS initialization failed -> TERMINATE\n");
			return 0;
		}

		if ( !rs.wait_for_data_traffic_enabled_indication(50000) ) {
			printf("FAIL: Waiting for \"Data Traffic Enabled\" indication timed out -> TERMINATE\n");
			return 0;
		}

		printf("Data traffic enabled indication received -> TERMINATE\n");

		//...

		return 0;

	} catch (std::exception& e) {
		std::cout << e.what() << std::endl;
		return 0;
	}

	return 0;
}
//-------------------------------------------------------------------------------------------------
